The Alternative Csound Reference Manual
Previous |  | Next

# dbamp

dbamp -- Returns the decibel equivalent of the raw amplitude x.

## Description

Returns the decibel equivalent of the raw amplitude x.

## Syntax

dbamp(x) (init-rate or control-rate args only)

## Examples

Here is an example of the dbamp opcode. It uses the files dbamp.orc and dbamp.sco.

Example 1. Example of the dbamp opcode.

    /* dbamp.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      iamp = 30000
      idb = dbamp(iamp)

      print idb
    endin
    /* dbamp.orc */

    /* dbamp.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* dbamp.sco */

Its output should include lines like this:

    instr 1:  idb = 89.542

## See Also

ampdb, ampdbfs, dbfsamp

## Credits

Example written by Kevin Conder.

Previous | Home | Next
db | Up | dbfsamp